#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	parted
Summary:	Python 2.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki libparted
Name:		python-%{module}
Version:	3.10
Release:	4
License:	GPL v2+
Group:		Libraries/Python
Source0:	https://fedorahosted.org/releases/p/y/pyparted/pyparted-%{version}.tar.gz
# Source0-md5:	d494440b34bc9ea0afea45c4a4ac3274
URL:		https://fedorahosted.org/pyparted/
BuildRequires:	parted-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	parted >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -l pl.UTF-8
Wiązania Pythona 2.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libparted
Group:		Libraries/Python

%description -n python3-%{module}
Python 3.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -n python3-%{module} -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%prep
%setup -q -n pyparted-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build --build-base build-2
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build --build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/_ped.so
%dir %{py_sitedir}/parted
%{py_sitedir}/parted/*.py[co]
%{py_sitedir}/pyparted-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py3_sitedir}/_ped.*.so
%dir %{py3_sitedir}/parted
%{py3_sitedir}/parted/*.py
%{py3_sitedir}/parted/__pycache__
%{py3_sitedir}/pyparted-%{version}-py*.egg-info
%endif
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-parted.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 47ee4ad
- python 3.4
- release 4 (by relup.sh)

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> eb5307b
- better descriptions

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> 04e6a5f
- missing dir

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> 65aa80c
- add python3 package: python3-parted

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> cce5f45
- updated to 3.10

* Fri May 17 2013 Elan Ruusamäe <glen@delfi.ee> 89ffcaa
- build withour optflags

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> e60c57f
- updated to 3.9

* Mon Mar 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8467569
- release 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a9fabb
- dropped obsolete BRs

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3034d7e
- package TODO

* Fri Aug 26 2011 Artur Frysiak <artur@frysiak.net> 5eec37a
- up to 3.8

* Fri Mar 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81e4aaa
- release 2

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b4b55a3
- macros for py_postclean

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 6a5082d
- updated to 3.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 761dee2
- BR: libtool, pkgconfig

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 62e89cf
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c72f05
- release 3

* Sat Aug 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7503a5d
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 220ae65
- drop obsolete files

* Thu Apr 02 2009 duddits <duddits@pld-linux.org> 5a6eb7e
- up to 2.0.9
- cleaning

